<?xml version="1.0" encoding="iso-8859-1"?>

<xsl:stylesheet version="1.0" xmlns:xalan="http://xml.apache.org/xslt" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

    <!-- output pretty-printed results as XHTML 1.0 -->
    <xsl:output doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN" doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd" encoding="UTF-8" indent="yes" method="xml" xalan:indent-amount="4"/>

    <xsl:template match="/">

        <html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">

            <head>
                <title>1</title>
            </head>

            <body>

                <!-- iterate over movie elements, sorted by title -->
                <xsl:for-each select="database/movies/movie">
                    <xsl:sort select="title"/>

                    <!-- output tiles of R movies in red, G movies in green, and others in black -->
                    <xsl:choose>
                        <xsl:when test="rating='R'">
                            <font color="red">
                                <xsl:value-of select="title"/>
                            </font>
                        </xsl:when>
                        <xsl:when test="rating='G'">
                            <font color="green">
                                <xsl:value-of select="title"/>
                            </font>
                        </xsl:when>
                        <xsl:otherwise>
                            <xsl:value-of select="title"/>
                        </xsl:otherwise>
                    </xsl:choose>

                    <br/>

                </xsl:for-each>

            </body>

        </html>

    </xsl:template>
</xsl:stylesheet>
